Poll Last Seen Result
This request retrieves newly processed tax number validation results using the last-seen identifier from a previous response. Each poll returns only results processed since the specified identifier, allowing you to incrementally retrieve validation results until the bulk validation job is complete.
To poll the last seen result, use the following URL and the GET method:
GET https://{service-url}/bulk/api/v3/tax_numbers/validate?last-seen-id={last-seen-id}
Considerations
This request returns only processed validations. Each subsequent request may return additional results as processing continues, until the entire batch is complete.
Details
| Endpoint | Method |
|---|---|
/bulk/api/v3/tax_numbers/validate?{last-seen-id} | GET |
Request parameters
| Parameter | Detail |
|---|---|
last-seen-id | Specify the items.id field value returned from the Poll Results response. |
Sample request
The following request specifies CMGpMhACMAA as the Last Seen ID:
GET https://tax-id-validator-bulk-api.sandbox.marketplace.taxamo.com/GET bulk/api/v3/tax_numbers/validate?last-seen-id=CMGpMhACMAA=
Sample response
{
"items": [
{
"status": "processed",
"request_id": "ANKpMhAXMAA=",
"id": "CMGpMhACMAA=",
"output": {
"buyer_tax_number_valid": false,
"buyer_tax_number_format_valid": false,
"buyer_tax_number_validation_info": "tax-number-syntax-invalid"
}
},
{
"status": "processed",
"request_id": "ANKpMhAYMAA=",
"id": "CMGpMhAFMAA=",
"output": {
"buyer_tax_number_valid": false,
"buyer_tax_number_format_valid": true,
"buyer_tax_number_validation_info": "tax-number-invalid-according-to-external-service",
"buyer_tax_number_normalized": "111111111",
"buyer_tax_number_service_cache_used": true,
"buyer_tax_number_service_cache_timestamp": "2025-08-20T15:07:34Z",
"tax_number_service": "tax.service.gov.uk.api"
}
}
]
}